package com.plannaplan.services;

import java.util.List;
import java.util.Optional;

import com.plannaplan.entities.Commision;
import com.plannaplan.entities.User;
import com.plannaplan.repositories.CommisionRepository;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommisionService {
    @Autowired
    private CommisionRepository repo;

    public CommisionService() {
    }

    public Commision save(Commision commision) {
        this.repo.save(commision);
        return commision;

    }

    public List<Commision> getUsersCommisions(User user) {
        Long id = user.getId();
        return this.repo.getUsers(id);
    }

    public Optional<Commision> getNewestCommision(User user) {
        return Optional.of(this.repo.getNewestCommision(user.getId()).get(0));
    }
}
